org.apache.xmlbeans.impl.config

## Class NameSetBuilder

- java.lang.Object
- - org.apache.xmlbeans.impl.config.NameSetBuilder

    public class NameSetBuilder
    extends Object

Used to build `NameSets`.

### Constructor Summary

Constructors
Constructor and Description
`NameSetBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(String name)` Adds a name to the representing NameSet
`void` `invert()` Inverts the representing NameSet
`NameSet` `toNameSet()` Creates a new NameSet with the current state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameSetBuilder

    public NameSetBuilder()

### Method Detail

#### invert

    public void invert()

Inverts the representing NameSet

#### add

    public void add(String name)

Adds a name to the representing NameSet

#### toNameSet

    public NameSet toNameSet()

Creates a new NameSet with the current state.

Returns:
  created NameSet